
 MODULE MyModule
  TYPE MyType
    INTEGER :: i
    REAL    :: f
  END TYPE
 END MODULE


 PROGRAM main
 USE MyModule
             
 TYPE(MyType), POINTER :: ptr;

 ALLOCATE(ptr)     !! Dynamic variable allocation 

 ptr%i = 4
 ptr%f = 3.14

 print *, ptr

 END
 
